package com.zanxiang.game.module.base.pojo.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @author : lingfeng
 * @time : 2025-03-12
 * @description : 聊天频道枚举
 */
@Getter
@AllArgsConstructor
public enum ChatChannelEnum {

    /**
     * 世界
     */
    CHAT_CHANNEL_WORLD("CHAT_CHANNEL_WORLD", "世界"),

    /**
     * 阵营
     */
    CHAT_CHANNEL_FACTION("CHAT_CHANNEL_FACTION", "阵营"),

    /**
     * 帮派
     */
    CHAT_CHANNEL_GUILD("CHAT_CHANNEL_GUILD", "帮派"),

    /**
     * 队伍
     */
    CHAT_CHANNEL_TEAM("CHAT_CHANNEL_TEAM", "队伍"),

    /**
     * 当前
     */
    CHAT_CHANNEL_CURRENT("CHAT_CHANNEL_CURRENT", "当前"),

    /**
     * 寻师
     */
    CHAT_CHANNEL_FIND_TEACHER("CHAT_CHANNEL_FIND_TEACHER", "寻师"),

    /**
     * 国家
     */
    CHAT_CHANNEL_NATION("CHAT_CHANNEL_NATION", "国家"),

    /**
     * 跨服
     */
    CHAT_CHANNEL_CROSS_SERVER("CHAT_CHANNEL_CROSS_SERVER", "跨服"),

    /**
     * 私聊
     */
    CHAT_CHANNEL_PRIVATE("CHAT_CHANNEL_PRIVATE", "私聊");

    /**
     * 频道
     */
    private final String channel;

    /**
     * 频道名称
     */
    private final String name;
}
